home
***
CD-ROM
|
disk
|
FTP
|
other
***
search
/
Fresh Fish 8
/
FreshFishVol8-CD1.bin
/
gnu
/
src
/
diffs
/
gdbm-1.7.3.diffs
< prev
next >
Wrap
Text File
|
1995-01-21
|
79KB
|
2,520 lines
diff -rc --new-file gdbm-1.7.3/INSTALL /gnu/src/amiga/gdbm-1.7.3/INSTALL
*** gdbm-1.7.3/INSTALL Fri Oct 29 13:13:35 1993
--- /gnu/src/amiga/gdbm-1.7.3/INSTALL Wed Jun 22 15:17:44 1994
***************
*** 66,73 ****
DIR is the directory that contains the source code.
By default, `make install' will install the package's files in
! /usr/local/bin, /usr/local/lib, /usr/local/man, etc. You can specify an
! installation prefix other than /usr/local by giving `configure' the option
`--prefix=PATH'. Alternately, you can do so by consistently giving a value
for the `prefix' variable when you run `make', e.g.,
make prefix=/usr/gnu
--- 66,73 ----
DIR is the directory that contains the source code.
By default, `make install' will install the package's files in
! /gnu/bin, /gnu/lib, /gnu/man, etc. You can specify an
! installation prefix other than /gnu by giving `configure' the option
`--prefix=PATH'. Alternately, you can do so by consistently giving a value
for the `prefix' variable when you run `make', e.g.,
make prefix=/usr/gnu
diff -rc --new-file gdbm-1.7.3/Makefile.in /gnu/src/amiga/gdbm-1.7.3/Makefile.in
*** gdbm-1.7.3/Makefile.in Sun May 15 09:28:49 1994
--- /gnu/src/amiga/gdbm-1.7.3/Makefile.in Wed Jun 22 15:40:38 1994
***************
*** 19,29 ****
LIBS = @LIBS@ -lc
# SunOS users might wish to add '-fpcc-struct-return' to CFLAGS. see INSTALL.
! CFLAGS = -O
LDFLAGS =
# Common prefix for installation directories
! prefix = /usr/local
exec_prefix = $(prefix)
binprefix = $(exec_prefix)
manprefix = $(prefix)
--- 19,29 ----
LIBS = @LIBS@ -lc
# SunOS users might wish to add '-fpcc-struct-return' to CFLAGS. see INSTALL.
! CFLAGS = -O2
LDFLAGS =
# Common prefix for installation directories
! prefix = /gnu
exec_prefix = $(prefix)
binprefix = $(exec_prefix)
manprefix = $(prefix)
***************
*** 44,50 ****
SHELL = /bin/sh
! PROGS = libgdbm.a testgdbm testdbm testndbm tndbm tdbm conv2gdbm
DBM_CF = dbminit.c delete.c fetch.c store.c seq.c close.c
--- 44,50 ----
SHELL = /bin/sh
! PROGS = libgdbm.a testgdbm testdbm testndbm # tndbm tdbm conv2gdbm
DBM_CF = dbminit.c delete.c fetch.c store.c seq.c close.c
***************
*** 93,104 ****
--- 93,109 ----
progs: $(PROGS)
install: libgdbm.a gdbm.h gdbm.info
+ -if [ -d $(libdir) ] ; then true ; else mkdir -p $(libdir) ; fi
$(INSTALL_DATA) libgdbm.a $(libdir)/libgdbm.a
+ -if [ -d $(includedir) ] ; then true ; else mkdir -p $(includedir) ; fi
$(INSTALL_DATA) gdbm.h $(includedir)/gdbm.h
+ -if [ -d $(man3dir) ] ; then true ; else mkdir -p $(man3dir) ; fi
$(INSTALL_DATA) $(srcdir)/gdbm.3 $(man3dir)/gdbm.3
+ -if [ -d $(infodir) ] ; then true ; else mkdir -p $(infodir) ; fi
$(INSTALL_DATA) $(srcdir)/gdbm.info $(infodir)/gdbm.info
install-compat:
+ -if [ -d $(includedir) ] ; then true ; else mkdir -p $(includedir) ; fi
$(INSTALL_DATA) $(srcdir)/dbm.h $(includedir)/dbm.h
$(INSTALL_DATA) $(srcdir/ndbm.h $(includedir)/ndbm.h
diff -rc --new-file gdbm-1.7.3/Product-Info /gnu/src/amiga/gdbm-1.7.3/Product-Info
*** gdbm-1.7.3/Product-Info Thu Jan 1 00:00:00 1970
--- /gnu/src/amiga/gdbm-1.7.3/Product-Info Tue Jul 12 17:17:41 1994
***************
*** 0 ****
--- 1,21 ----
+ .name
+ gdbm
+ .fullname
+ GNU database manager library
+ .type
+ Library
+ .short
+ GNU database manager library
+ .description
+ GNU dbm is a library of routines that manages data files that contain
+ key/data pairs. The access provided is that of storing, retrieval,
+ and deletion by key and a non-sorted traversal of all keys. A process
+ is allowed to use multiple data files at the same time.
+ .version
+ 1.7.3
+ .author
+ Philip A. Nelson
+ .distribution
+ GNU Public License
+ .described-by
+ Fred Fish (fnf@amigalib.com)
diff -rc --new-file gdbm-1.7.3/configure /gnu/src/amiga/gdbm-1.7.3/configure
*** gdbm-1.7.3/configure Sun May 15 09:28:57 1994
--- /gnu/src/amiga/gdbm-1.7.3/configure Wed Jun 22 15:26:42 1994
***************
*** 1,150 ****
#!/bin/sh
# Guess values for system-dependent variables and create Makefiles.
! # Generated automatically using autoconf.
! # Copyright (C) 1991, 1992, 1993 Free Software Foundation, Inc.
! # This program is free software; you can redistribute it and/or modify
! # it under the terms of the GNU General Public License as published by
! # the Free Software Foundation; either version 2, or (at your option)
# any later version.
! # This program is distributed in the hope that it will be useful,
! # but WITHOUT ANY WARRANTY; without even the implied warranty of
! # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
! # GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
! # Usage: configure [--srcdir=DIR] [--host=HOST] [--gas] [--nfp]
! # [--prefix=PREFIX] [--exec-prefix=PREFIX] [--with-PACKAGE[=VALUE]]
! # Ignores all args except --srcdir, --prefix, --exec-prefix, and
! # --with-PACKAGE[=VALUE] unless this script has special code to handle it.
! for arg
do
- # Handle --exec-prefix with a space before the argument.
- if test x$next_exec_prefix = xyes; then exec_prefix=$arg; next_exec_prefix=
- # Handle --host with a space before the argument.
- elif test x$next_host = xyes; then next_host=
- # Handle --prefix with a space before the argument.
- elif test x$next_prefix = xyes; then prefix=$arg; next_prefix=
- # Handle --srcdir with a space before the argument.
- elif test x$next_srcdir = xyes; then srcdir=$arg; next_srcdir=
- else
- case $arg in
- # For backward compatibility, recognize -exec-prefix and --exec_prefix.
- -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* | --exec=* | --exe=* | --ex=* | --e=*)
- exec_prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- | --exec | --exe | --ex | --e)
- next_exec_prefix=yes ;;
-
- -gas | --gas | --ga | --g) ;;
-
- -host=* | --host=* | --hos=* | --ho=* | --h=*) ;;
- -host | --host | --hos | --ho | --h)
- next_host=yes ;;
-
- -nfp | --nfp | --nf) ;;
-
- -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
- prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
- next_prefix=yes ;;
-
- -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=* | --s=*)
- srcdir=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- -srcdir | --srcdir | --srcdi | --srcd | --src | --sr | --s)
- next_srcdir=yes ;;
-
- -with-* | --with-*)
- package=`echo $arg|sed -e 's/-*with-//' -e 's/=.*//'`
- # Reject names that aren't valid shell variable names.
- if test -n "`echo $package| sed 's/[-a-zA-Z0-9_]//g'`"; then
- echo "configure: $package: invalid package name" >&2; exit 1
- fi
- package=`echo $package| sed 's/-/_/g'`
- case "$arg" in
- *=*) val="`echo $arg|sed 's/[^=]*=//'`" ;;
- *) val=1 ;;
- esac
- eval "with_$package='$val'" ;;
! -v | -verbose | --verbose | --verbos | --verbo | --verb | --ver | --ve | --v)
! verbose=yes ;;
! *) ;;
esac
! fi
done
! trap 'rm -fr conftest* confdefs* core; exit 1' 1 3 15
! trap 'rm -f confdefs*' 0
# NLS nuisances.
# These must not be set unconditionally because not all systems understand
# e.g. LANG=C (notably SCO).
! if test "${LC_ALL+set}" = 'set' ; then LC_ALL=C; export LC_ALL; fi
! if test "${LANG+set}" = 'set' ; then LANG=C; export LANG; fi
! rm -f conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
! echo > confdefs.h
! compile='${CC-cc} $CFLAGS conftest.c -o conftest $LIBS >/dev/null 2>&1'
# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
! unique_file=gdbmdefs.h
# Find the source files, if location was not specified.
if test -z "$srcdir"; then
! srcdirdefaulted=yes
# Try the directory containing this script, then `..'.
! prog=$0
! confdir=`echo $prog|sed 's%/[^/][^/]*$%%'`
! test "X$confdir" = "X$prog" && confdir=.
! srcdir=$confdir
! if test ! -r $srcdir/$unique_file; then
srcdir=..
fi
fi
! if test ! -r $srcdir/$unique_file; then
! if test x$srcdirdefaulted = xyes; then
! echo "configure: Can not find sources in \`${confdir}' or \`..'." 1>&2
else
! echo "configure: Can not find sources in \`${srcdir}'." 1>&2
fi
- exit 1
fi
! # Preserve a srcdir of `.' to avoid automounter screwups with pwd.
! # But we can't avoid them for `..', to make subdirectories work.
! case $srcdir in
! .|/*|~*) ;;
! *) srcdir=`cd $srcdir; pwd` ;; # Make relative path absolute.
! esac
!
- # Save the original args to write them into config.status later.
- configure_args="$*"
if test -z "$CC"; then
# Extract the first word of `gcc', so it can be a program name with args.
! set dummy gcc; word=$2
! echo checking for $word
! IFS="${IFS= }"; saveifs="$IFS"; IFS="${IFS}:"
! for dir in $PATH; do
! test -z "$dir" && dir=.
! if test -f $dir/$word; then
CC="gcc"
break
fi
done
! IFS="$saveifs"
fi
test -z "$CC" && CC="cc"
! test -n "$CC" && test -n "$verbose" && echo " setting CC to $CC"
# Find out if we are using GNU C, under whatever name.
cat > conftest.c <<EOF
--- 1,337 ----
#!/bin/sh
# Guess values for system-dependent variables and create Makefiles.
! # Generated automatically using autoconf version 1.11
! # Copyright (C) 1991, 1992, 1993, 1994 Free Software Foundation, Inc.
! # This configure script is free software; you can redistribute it and/or
! # modify it under the terms of the GNU General Public License as published
! # by the Free Software Foundation; either version 2, or (at your option)
# any later version.
! # This script is distributed in the hope that it will be useful, but
! # WITHOUT ANY WARRANTY; without even the implied warranty of
! # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
! # Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
! # Save the original args to write them into config.status later.
! configure_args="$*"
! # Only options that might do something get documented.
! ac_usage="Usage: configure [options] [host]
! Options: [defaults in brackets after descriptions]
! --build=BUILD configure for building on BUILD [BUILD=HOST]
! --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
! --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
! --exec-prefix=PREFIX install host dependent files in PREFIX [/usr/local]
! --help print this message
! --host=HOST configure for HOST [guessed]
! --prefix=PREFIX install host independent files in PREFIX [/usr/local]
! --quiet, --silent do not print \`checking for...' messages
! --srcdir=DIR find the sources in DIR [configure dir or ..]
! --target=TARGET configure for TARGET [TARGET=HOST]
! --verbose print results of checks
! --version print the version of autoconf that created configure
! --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
! --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
! --x-includes=DIR X include files are in DIR
! --x-libraries=DIR X library files are in DIR"
!
! # Initialize some variables set by options.
! # The variables have the same names as the options, with
! # dashes changed to underlines.
! build=NONE
! exec_prefix=
! host=NONE
! no_create=
! nonopt=NONE
! norecursion=
! prefix=
! program_prefix=
! program_suffix=
! program_transform_name=
! silent=
! srcdir=
! target=NONE
! verbose=
! x_includes=
! x_libraries=
!
! ac_prev=
! for ac_option
do
! # If the previous option needs an argument, assign it.
! if test -n "$ac_prev"; then
! eval "$ac_prev=\$ac_option"
! ac_prev=
! continue
! fi
!
! # Accept (but ignore some of) the important Cygnus configure
! # options, so we can diagnose typos.
!
! case "$ac_option" in
! -*=*) ac_optarg=`/bin/echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
! *) ac_optarg= ;;
! esac
!
! case "$ac_option" in
!
! -build | --build | --buil | --bui | --bu | --b)
! ac_prev=build ;;
! -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
! build="$ac_optarg" ;;
!
! -disable-* | --disable-*)
! ac_feature=`/bin/echo $ac_option|sed -e 's/-*disable-//'`
! # Reject names that aren't valid shell variable names.
! if test -n "`/bin/echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
! /bin/echo "configure: $ac_feature: invalid feature name" >&2; exit 1
! fi
! ac_feature=`/bin/echo $ac_feature| sed 's/-/_/g'`
! eval "enable_${ac_feature}=no" ;;
!
! -enable-* | --enable-*)
! ac_feature=`/bin/echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
! # Reject names that aren't valid shell variable names.
! if test -n "`/bin/echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
! /bin/echo "configure: $ac_feature: invalid feature name" >&2; exit 1
! fi
! ac_feature=`/bin/echo $ac_feature| sed 's/-/_/g'`
! case "$ac_option" in
! *=*) ;;
! *) ac_optarg=yes ;;
! esac
! eval "enable_${ac_feature}='$ac_optarg'" ;;
! # For backward compatibility, recognize -exec-prefix and --exec_prefix.
! -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
! | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
! | --exec | --exe | --ex)
! ac_prev=exec_prefix ;;
! -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
! | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
! | --exec=* | --exe=* | --ex=*)
! exec_prefix="$ac_optarg" ;;
!
! -gas | --gas | --ga | --g)
! with_gas=yes ;; # Obsolete; use --with-gas.
!
! -help | --help | --hel | --he)
! cat << EOF
! $ac_usage
! EOF
! exit 0 ;;
!
! -host | --host | --hos | --ho)
! ac_prev=host ;;
! -host=* | --host=* | --hos=* | --ho=*)
! host="$ac_optarg" ;;
!
! -nfp | --nfp | --nf)
! with_fp=no ;; # Obsolete; use --without-fp.
!
! -no-create | --no-create | --no-creat | --no-crea | --no-cre \
! | --no-cr | --no-c)
! no_create=yes ;;
!
! -norecursion | --norecursion | --norecursio | --norecursi \
! | --norecurs | --norecur | --norecu | --norec | --nore | --nor)
! norecursion=yes ;;
!
! -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
! ac_prev=prefix ;;
! -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
! prefix="$ac_optarg" ;;
!
! -program-prefix | --program-prefix | --program-prefi | --program-pref \
! | --program-pre | --program-pr | --program-p)
! ac_prev=program_prefix ;;
! -program-prefix=* | --program-prefix=* | --program-prefi=* \
! | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
! program_prefix="$ac_optarg" ;;
!
! -program-suffix | --program-suffix | --program-suffi | --program-suff \
! | --program-suf | --program-su | --program-s)
! ac_prev=program_suffix ;;
! -program-suffix=* | --program-suffix=* | --program-suffi=* \
! | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
! program_suffix="$ac_optarg" ;;
!
! -program-transform-name | --program-transform-name \
! | --program-transform-nam | --program-transform-na \
! | --program-transform-n | --program-transform- \
! | --program-transform | --program-transfor \
! | --program-transfo | --program-transf \
! | --program-trans | --program-tran \
! | --progr-tra | --program-tr | --program-t)
! ac_prev=program_transform_name ;;
! -program-transform-name=* | --program-transform-name=* \
! | --program-transform-nam=* | --program-transform-na=* \
! | --program-transform-n=* | --program-transform-=* \
! | --program-transform=* | --program-transfor=* \
! | --program-transfo=* | --program-transf=* \
! | --program-trans=* | --program-tran=* \
! | --progr-tra=* | --program-tr=* | --program-t=*)
! program_transform_name="$ac_optarg" ;;
!
! -q | -quiet | --quiet | --quie | --qui | --qu | --q \
! | -silent | --silent | --silen | --sile | --sil)
! silent=yes ;;
!
! -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
! ac_prev=srcdir ;;
! -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
! srcdir="$ac_optarg" ;;
!
! -target | --target | --targe | --targ | --tar | --ta | --t)
! ac_prev=target ;;
! -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
! target="$ac_optarg" ;;
!
! -v | -verbose | --verbose | --verbos | --verbo | --verb)
! verbose=yes ;;
!
! -version | --version | --versio | --versi | --vers)
! /bin/echo "configure generated by autoconf version 1.11"
! exit 0 ;;
!
! -with-* | --with-*)
! ac_package=`/bin/echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
! # Reject names that aren't valid shell variable names.
! if test -n "`/bin/echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
! /bin/echo "configure: $ac_package: invalid package name" >&2; exit 1
! fi
! ac_package=`/bin/echo $ac_package| sed 's/-/_/g'`
! case "$ac_option" in
! *=*) ;;
! *) ac_optarg=yes ;;
esac
! eval "with_${ac_package}='$ac_optarg'" ;;
!
! -without-* | --without-*)
! ac_package=`/bin/echo $ac_option|sed -e 's/-*without-//'`
! # Reject names that aren't valid shell variable names.
! if test -n "`/bin/echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
! /bin/echo "configure: $ac_package: invalid package name" >&2; exit 1
! fi
! ac_package=`/bin/echo $ac_package| sed 's/-/_/g'`
! eval "with_${ac_package}=no" ;;
!
! --x) with_x=yes ;; # Obsolete; use --with-x.
!
! -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
! | --x-incl | --x-inc | --x-in | --x-i)
! ac_prev=x_includes ;;
! -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
! | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
! x_includes="$ac_optarg" ;;
!
! -x-libraries | --x-libraries | --x-librarie | --x-librari \
! | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
! ac_prev=x_libraries ;;
! -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
! | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
! x_libraries="$ac_optarg" ;;
!
! -*) /bin/echo "configure: $ac_option: invalid option; use --help to show usage" >&2; exit 1
! ;;
!
! *)
! if test -n "`/bin/echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
! /bin/echo "configure: warning: $ac_option: invalid host type" >&2
! fi
! if test "x$nonopt" != xNONE; then
! /bin/echo "configure: can only configure for one host and one target at a time" >&2; exit 1
! fi
! nonopt="$ac_option"
! ;;
!
! esac
done
! if test -n "$ac_prev"; then
! /bin/echo "configure: missing argument to --`/bin/echo $ac_prev | sed 's/_/-/g'`" >&2; exit 1
! fi
!
! trap 'rm -fr conftest* confdefs* core $ac_clean_files; exit 1' 1 2 15
! trap 'rm -fr confdefs* $ac_clean_files' 0
!
! # Save the original args if we used an alternate arg parser.
! ac_configure_temp="${configure_args-$*}"
! # Strip out --no-create and --norecursion so they don't pile up.
! configure_args=
! for ac_arg in $ac_configure_temp; do
! case "$ac_arg" in
! -no-create | --no-create | --no-creat | --no-crea | --no-cre \
! | --no-cr | --no-c) ;;
! -norecursion | --norecursion | --norecursio | --norecursi \
! | --norecurs | --norecur | --norecu | --norec | --nore | --nor) ;;
! *) configure_args="$configure_args $ac_arg" ;;
! esac
! done
# NLS nuisances.
# These must not be set unconditionally because not all systems understand
# e.g. LANG=C (notably SCO).
! if test "${LC_ALL+set}" = 'set'; then LC_ALL=C; export LC_ALL; fi
! if test "${LANG+set}" = 'set'; then LANG=C; export LANG; fi
! # confdefs.h avoids OS command line length limits that DEFS can exceed.
! rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
! /bin/echo > confdefs.h
# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
! ac_unique_file=gdbmdefs.h
# Find the source files, if location was not specified.
if test -z "$srcdir"; then
! ac_srcdir_defaulted=yes
# Try the directory containing this script, then `..'.
! ac_prog=$0
! ac_confdir=`/bin/echo $ac_prog|sed 's%/[^/][^/]*$%%'`
! test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
! srcdir=$ac_confdir
! if test ! -r $srcdir/$ac_unique_file; then
srcdir=..
fi
fi
! if test ! -r $srcdir/$ac_unique_file; then
! if test x$ac_srcdir_defaulted = xyes; then
! /bin/echo "configure: can not find sources in ${ac_confdir} or .." >&2; exit 1
else
! /bin/echo "configure: can not find sources in ${srcdir}" >&2; exit 1
fi
fi
! ac_ext=c
! # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
! ac_cpp='${CPP}'
! ac_compile='${CC-cc} $CFLAGS $LDFLAGS conftest.${ac_ext} -o conftest $LIBS >/dev/null 2>&1'
if test -z "$CC"; then
# Extract the first word of `gcc', so it can be a program name with args.
! set ac_dummy gcc; ac_word=$2
! test -n "$silent" || /bin/echo "checking for $ac_word"
! IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
! for ac_dir in $PATH; do
! test -z "$ac_dir" && ac_dir=.
! if test -f $ac_dir/$ac_word; then
CC="gcc"
break
fi
done
! IFS="$ac_save_ifs"
fi
test -z "$CC" && CC="cc"
! test -n "$CC" && test -n "$verbose" && /bin/echo " setting CC to $CC"
# Find out if we are using GNU C, under whatever name.
cat > conftest.c <<EOF
***************
*** 158,176 ****
fi
rm -f conftest*
! echo checking how to run the C preprocessor
if test -z "$CPP"; then
# This must be in double quotes, not single quotes, because CPP may get
# substituted into the Makefile and ``${CC-cc}'' will simply confuse
# make. It must be expanded now.
CPP="${CC-cc} -E"
! cat > conftest.c <<EOF
#include "confdefs.h"
#include <stdio.h>
Syntax Error
EOF
! err=`eval "($CPP conftest.c >/dev/null) 2>&1"`
! if test -z "$err"; then
:
else
rm -rf conftest*
--- 345,378 ----
fi
rm -f conftest*
! test -n "$silent" || /bin/echo "checking how to run the C preprocessor"
if test -z "$CPP"; then
# This must be in double quotes, not single quotes, because CPP may get
# substituted into the Makefile and ``${CC-cc}'' will simply confuse
# make. It must be expanded now.
CPP="${CC-cc} -E"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <stdio.h>
Syntax Error
EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
! :
! else
! rm -rf conftest*
! CPP="${CC-cc} -E -traditional-cpp"
! cat > conftest.${ac_ext} <<EOF
! #include "confdefs.h"
! #include <stdio.h>
! Syntax Error
! EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
:
else
rm -rf conftest*
***************
*** 178,293 ****
fi
rm -f conftest*
fi
! test ".${verbose}" != "." && echo " setting CPP to $CPP"
# Make sure to not get the incompatible SysV /etc/install and
# /usr/sbin/install, which might be in PATH before a BSD-like install,
# or the SunOS /usr/etc/install directory, or the AIX /bin/install,
# or the AFS install, which mishandles nonexistent args, or
# /usr/ucb/install on SVR4, which tries to use the nonexistent group
! # `staff'. On most BSDish systems install is in /usr/bin, not /usr/ucb
! # anyway. Sigh.
! if test "z${INSTALL}" = "z" ; then
! echo checking for install
! IFS="${IFS= }"; saveifs="$IFS"; IFS="${IFS}:"
! for dir in $PATH; do
! test -z "$dir" && dir=.
! case $dir in
! /etc|/usr/sbin|/usr/etc|/usr/afsws/bin|/usr/ucb) ;;
*)
! if test -f $dir/installbsd; then
! INSTALL="$dir/installbsd -c" # OSF1
! INSTALL_PROGRAM='$(INSTALL)'
! INSTALL_DATA='$(INSTALL) -m 644'
! break
! fi
! if test -f $dir/install; then
! if grep dspmsg $dir/install >/dev/null 2>&1; then
! : # AIX
! else
! INSTALL="$dir/install -c"
! INSTALL_PROGRAM='$(INSTALL)'
! INSTALL_DATA='$(INSTALL) -m 644'
! break
fi
! fi
;;
esac
done
! IFS="$saveifs"
fi
! INSTALL=${INSTALL-cp}
! test -n "$verbose" && echo " setting INSTALL to $INSTALL"
! INSTALL_PROGRAM=${INSTALL_PROGRAM-'$(INSTALL)'}
! test -n "$verbose" && echo " setting INSTALL_PROGRAM to $INSTALL_PROGRAM"
! INSTALL_DATA=${INSTALL_DATA-'$(INSTALL)'}
! test -n "$verbose" && echo " setting INSTALL_DATA to $INSTALL_DATA"
if test -z "$RANLIB"; then
# Extract the first word of `ranlib', so it can be a program name with args.
! set dummy ranlib; word=$2
! echo checking for $word
! IFS="${IFS= }"; saveifs="$IFS"; IFS="${IFS}:"
! for dir in $PATH; do
! test -z "$dir" && dir=.
! if test -f $dir/$word; then
RANLIB="ranlib"
break
fi
done
! IFS="$saveifs"
fi
test -z "$RANLIB" && RANLIB=":"
! test -n "$RANLIB" && test -n "$verbose" && echo " setting RANLIB to $RANLIB"
! echo checking integer size
! cat > conftest.c <<EOF
#include "confdefs.h"
! main() { exit(sizeof(int) != 2); }
EOF
! eval $compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
!
{
test -n "$verbose" && \
! echo " defining INT_16_BITS"
! echo "#define" INT_16_BITS 1 >> confdefs.h
! DEFS="$DEFS -DINT_16_BITS=1"
! SEDDEFS="${SEDDEFS}\${SEDdA}INT_16_BITS\${SEDdB}INT_16_BITS\${SEDdC}1\${SEDdD}
! \${SEDuA}INT_16_BITS\${SEDuB}INT_16_BITS\${SEDuC}1\${SEDuD}
! \${SEDeA}INT_16_BITS\${SEDeB}INT_16_BITS\${SEDeC}1\${SEDeD}
"
}
fi
rm -fr conftest*
- echo checking for 64-bit long ints
- cat > conftest.c <<EOF
- #include "confdefs.h"
- main() { exit(sizeof(long int) != 8); }
- EOF
- eval $compile
- if test -s conftest && (./conftest; exit) 2>/dev/null; then
-
{
test -n "$verbose" && \
! echo " defining LONG_64_BITS"
! echo "#define" LONG_64_BITS 1 >> confdefs.h
! DEFS="$DEFS -DLONG_64_BITS=1"
! SEDDEFS="${SEDDEFS}\${SEDdA}LONG_64_BITS\${SEDdB}LONG_64_BITS\${SEDdC}1\${SEDdD}
! \${SEDuA}LONG_64_BITS\${SEDuB}LONG_64_BITS\${SEDuC}1\${SEDuD}
! \${SEDeA}LONG_64_BITS\${SEDeB}LONG_64_BITS\${SEDeC}1\${SEDeD}
"
}
!
! fi
! rm -fr conftest*
!
! echo checking byte ordering
! cat > conftest.c <<EOF
#include "confdefs.h"
main () {
/* Are we little or big endian? From Harbison&Steele. */
--- 380,536 ----
fi
rm -f conftest*
fi
! rm -f conftest*
! fi
! test -n "$verbose" && /bin/echo " setting CPP to $CPP"
# Make sure to not get the incompatible SysV /etc/install and
# /usr/sbin/install, which might be in PATH before a BSD-like install,
# or the SunOS /usr/etc/install directory, or the AIX /bin/install,
# or the AFS install, which mishandles nonexistent args, or
# /usr/ucb/install on SVR4, which tries to use the nonexistent group
! # `staff', or /sbin/install on IRIX which has incompatible command-line
! # syntax. Sigh.
! #
! # On most BSDish systems install is in /usr/bin, not /usr/ucb
! # anyway.
! # This turns out not to be true, so the mere pathname isn't an indication
! # of whether the program works. What we really need is a set of tests for
! # the install program to see if it actually works in all the required ways.
! #
! # Avoid using ./install, which might have been erroneously created
! # by make from ./install.sh.
! if test -z "${INSTALL}"; then
! test -n "$silent" || /bin/echo "checking for a BSD compatible install"
! IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
! for ac_dir in $PATH; do
! case "$ac_dir" in
! ''|.|/gnu/etc|/sbin|/usr/sbin|/usr/etc|/usr/afsws/bin|/usr/ucb) ;;
*)
! # OSF1 and SCO ODT 3.0 have their own names for install.
! for ac_prog in installbsd scoinst install; do
! if test -f $ac_dir/$ac_prog; then
! if test $ac_prog = install &&
! grep dspmsg $ac_dir/$ac_prog >/dev/null 2>&1; then
! # AIX install. It has an incompatible calling convention.
! # OSF/1 installbsd also uses dspmsg, but is usable.
! :
! else
! INSTALL="$ac_dir/$ac_prog -c"
! break 2
! fi
fi
! done
;;
esac
done
! IFS="$ac_save_ifs"
! fi
!
! if test -z "$INSTALL"; then
! # As a last resort, use the slow shell script.
! for ac_dir in ${srcdir} ${srcdir}/.. ${srcdir}/../..; do
! if test -f $ac_dir/install.sh; then
! INSTALL="$ac_dir/install.sh -c"; break
! fi
! done
! fi
! if test -z "$INSTALL"; then
! /bin/echo "configure: can not find install.sh in ${srcdir} or ${srcdir}/.. or ${srcdir}/../.." >&2; exit 1
fi
! test -n "$verbose" && /bin/echo " setting INSTALL to $INSTALL"
!
! # Use test -z because SunOS4 sh mishandles ${INSTALL_PROGRAM-'${INSTALL}'}.
! # It thinks the first close brace ends the variable substitution.
! test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'
! test -n "$verbose" && /bin/echo " setting INSTALL_PROGRAM to $INSTALL_PROGRAM"
!
! test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
! test -n "$verbose" && /bin/echo " setting INSTALL_DATA to $INSTALL_DATA"
if test -z "$RANLIB"; then
# Extract the first word of `ranlib', so it can be a program name with args.
! set ac_dummy ranlib; ac_word=$2
! test -n "$silent" || /bin/echo "checking for $ac_word"
! IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
! for ac_dir in $PATH; do
! test -z "$ac_dir" && ac_dir=.
! if test -f $ac_dir/$ac_word; then
RANLIB="ranlib"
break
fi
done
! IFS="$ac_save_ifs"
fi
test -z "$RANLIB" && RANLIB=":"
! test -n "$RANLIB" && test -n "$verbose" && /bin/echo " setting RANLIB to $RANLIB"
! test -n "$silent" || /bin/echo "checking size of int"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
! #include <stdio.h>
! main()
! {
! FILE *f=fopen("conftestval", "w");
! if (!f) exit(1);
! fprintf(f, "%d\n", sizeof(int));
! exit(0);
! }
EOF
! eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
! ac_size=`cat conftestval`
!
! else
! /bin/echo "configure: can not determine size of int" >&2; exit 1
! fi
! rm -fr conftest*
!
{
test -n "$verbose" && \
! /bin/echo " defining" SIZEOF_INT to be "$ac_size"
! /bin/echo "#define" SIZEOF_INT "$ac_size" >> confdefs.h
! DEFS="$DEFS -DSIZEOF_INT=$ac_size"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}SIZEOF_INT\${ac_dB}SIZEOF_INT\${ac_dC}$ac_size\${ac_dD}
! \${ac_uA}SIZEOF_INT\${ac_uB}SIZEOF_INT\${ac_uC}$ac_size\${ac_uD}
! \${ac_eA}SIZEOF_INT\${ac_eB}SIZEOF_INT\${ac_eC}$ac_size\${ac_eD}
"
}
+ test -n "$silent" || /bin/echo "checking size of long"
+ cat > conftest.${ac_ext} <<EOF
+ #include "confdefs.h"
+ #include <stdio.h>
+ main()
+ {
+ FILE *f=fopen("conftestval", "w");
+ if (!f) exit(1);
+ fprintf(f, "%d\n", sizeof(long));
+ exit(0);
+ }
+ EOF
+ eval $ac_compile
+ if test -s conftest && (./conftest; exit) 2>/dev/null; then
+ ac_size=`cat conftestval`
+ else
+ /bin/echo "configure: can not determine size of long" >&2; exit 1
fi
rm -fr conftest*
{
test -n "$verbose" && \
! /bin/echo " defining" SIZEOF_LONG to be "$ac_size"
! /bin/echo "#define" SIZEOF_LONG "$ac_size" >> confdefs.h
! DEFS="$DEFS -DSIZEOF_LONG=$ac_size"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}SIZEOF_LONG\${ac_dB}SIZEOF_LONG\${ac_dC}$ac_size\${ac_dD}
! \${ac_uA}SIZEOF_LONG\${ac_uB}SIZEOF_LONG\${ac_uC}$ac_size\${ac_uD}
! \${ac_eA}SIZEOF_LONG\${ac_eB}SIZEOF_LONG\${ac_eC}$ac_size\${ac_eD}
"
}
! test -n "$silent" || /bin/echo "checking byte ordering"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
main () {
/* Are we little or big endian? From Harbison&Steele. */
***************
*** 300,325 ****
exit (u.c[sizeof (long) - 1] == 1);
}
EOF
! eval $compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
:
else
{
test -n "$verbose" && \
! echo " defining WORDS_BIGENDIAN"
! echo "#define" WORDS_BIGENDIAN 1 >> confdefs.h
DEFS="$DEFS -DWORDS_BIGENDIAN=1"
! SEDDEFS="${SEDDEFS}\${SEDdA}WORDS_BIGENDIAN\${SEDdB}WORDS_BIGENDIAN\${SEDdC}1\${SEDdD}
! \${SEDuA}WORDS_BIGENDIAN\${SEDuB}WORDS_BIGENDIAN\${SEDuC}1\${SEDuD}
! \${SEDeA}WORDS_BIGENDIAN\${SEDeB}WORDS_BIGENDIAN\${SEDeC}1\${SEDeD}
"
}
fi
rm -fr conftest*
! prog='/* Ultrix mips cc rejects this. */
typedef int charset[2]; const charset x;
/* SunOS 4.1.1 cc rejects this. */
char const *const *ccp;
--- 543,568 ----
exit (u.c[sizeof (long) - 1] == 1);
}
EOF
! eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
:
else
{
test -n "$verbose" && \
! /bin/echo " defining WORDS_BIGENDIAN"
! /bin/echo "#define" WORDS_BIGENDIAN "1" >> confdefs.h
DEFS="$DEFS -DWORDS_BIGENDIAN=1"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}WORDS_BIGENDIAN\${ac_dB}WORDS_BIGENDIAN\${ac_dC}1\${ac_dD}
! \${ac_uA}WORDS_BIGENDIAN\${ac_uB}WORDS_BIGENDIAN\${ac_uC}1\${ac_uD}
! \${ac_eA}WORDS_BIGENDIAN\${ac_eB}WORDS_BIGENDIAN\${ac_eC}1\${ac_eD}
"
}
fi
rm -fr conftest*
! ac_prog='/* Ultrix mips cc rejects this. */
typedef int charset[2]; const charset x;
/* SunOS 4.1.1 cc rejects this. */
char const *const *ccp;
***************
*** 357,408 ****
{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
const int foo = 10;
}'
! echo checking for lack of working const
! cat > conftest.c <<EOF
#include "confdefs.h"
! int main() { exit(0); }
! int t() { $prog }
EOF
! if eval $compile; then
:
else
rm -rf conftest*
{
test -n "$verbose" && \
! echo " defining" const to be empty
! echo "#define" const >> confdefs.h
DEFS="$DEFS -Dconst="
! SEDDEFS="${SEDDEFS}\${SEDdA}const\${SEDdB}const\${SEDdC}\${SEDdD}
! \${SEDuA}const\${SEDuB}const\${SEDuC}\${SEDuD}
! \${SEDeA}const\${SEDeB}const\${SEDeC}\${SEDeD}
"
}
fi
rm -f conftest*
! for hdr in stdlib.h string.h sys/file.h unistd.h fcntl.h sys/types.h
do
! trhdr=HAVE_`echo $hdr | tr '[a-z]./' '[A-Z]__'`
! echo checking for ${hdr}
! cat > conftest.c <<EOF
#include "confdefs.h"
! #include <${hdr}>
EOF
! err=`eval "($CPP conftest.c >/dev/null) 2>&1"`
! if test -z "$err"; then
rm -rf conftest*
{
test -n "$verbose" && \
! echo " defining ${trhdr}"
! echo "#define" ${trhdr} 1 >> confdefs.h
! DEFS="$DEFS -D${trhdr}=1"
! SEDDEFS="${SEDDEFS}\${SEDdA}${trhdr}\${SEDdB}${trhdr}\${SEDdC}1\${SEDdD}
! \${SEDuA}${trhdr}\${SEDuB}${trhdr}\${SEDuC}1\${SEDuD}
! \${SEDeA}${trhdr}\${SEDeB}${trhdr}\${SEDeC}1\${SEDeD}
"
}
--- 600,653 ----
{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
const int foo = 10;
}'
! test -n "$silent" || /bin/echo "checking for lack of working const"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
! int main() { return 0; }
! int t() { $ac_prog; return 0; }
EOF
! if eval $ac_compile; then
:
else
rm -rf conftest*
{
test -n "$verbose" && \
! /bin/echo " defining" const to be empty
! /bin/echo "#define" const "" >> confdefs.h
DEFS="$DEFS -Dconst="
! ac_sed_defs="${ac_sed_defs}\${ac_dA}const\${ac_dB}const\${ac_dC}\${ac_dD}
! \${ac_uA}const\${ac_uB}const\${ac_uC}\${ac_uD}
! \${ac_eA}const\${ac_eB}const\${ac_eC}\${ac_eD}
"
}
fi
rm -f conftest*
! for ac_hdr in stdlib.h string.h sys/file.h unistd.h fcntl.h sys/types.h
do
! ac_tr_hdr=HAVE_`/bin/echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
! test -n "$silent" || /bin/echo "checking for ${ac_hdr}"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
! #include <${ac_hdr}>
EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
rm -rf conftest*
{
test -n "$verbose" && \
! /bin/echo " defining ${ac_tr_hdr}"
! /bin/echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
! DEFS="$DEFS -D${ac_tr_hdr}=1"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}${ac_tr_hdr}\${ac_dB}${ac_tr_hdr}\${ac_dC}1\${ac_dD}
! \${ac_uA}${ac_tr_hdr}\${ac_uB}${ac_tr_hdr}\${ac_uC}1\${ac_uD}
! \${ac_eA}${ac_tr_hdr}\${ac_eB}${ac_tr_hdr}\${ac_eC}1\${ac_eD}
"
}
***************
*** 411,436 ****
rm -f conftest*
done
! for hdr in memory.h
do
! trhdr=HAVE_`echo $hdr | tr '[a-z]./' '[A-Z]__'`
! echo checking for ${hdr}
! cat > conftest.c <<EOF
#include "confdefs.h"
! #include <${hdr}>
EOF
! err=`eval "($CPP conftest.c >/dev/null) 2>&1"`
! if test -z "$err"; then
rm -rf conftest*
{
test -n "$verbose" && \
! echo " defining ${trhdr}"
! echo "#define" ${trhdr} 1 >> confdefs.h
! DEFS="$DEFS -D${trhdr}=1"
! SEDDEFS="${SEDDEFS}\${SEDdA}${trhdr}\${SEDdB}${trhdr}\${SEDdC}1\${SEDdD}
! \${SEDuA}${trhdr}\${SEDuB}${trhdr}\${SEDuC}1\${SEDuD}
! \${SEDeA}${trhdr}\${SEDeB}${trhdr}\${SEDeC}1\${SEDeD}
"
}
--- 656,683 ----
rm -f conftest*
done
! for ac_hdr in memory.h
do
! ac_tr_hdr=HAVE_`/bin/echo $ac_hdr | tr '[a-z]./' '[A-Z]__'`
! test -n "$silent" || /bin/echo "checking for ${ac_hdr}"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
! #include <${ac_hdr}>
EOF
! # Some shells (Coherent) do redirections in the wrong order, so need
! # the parens.
! ac_err=`eval "($ac_cpp conftest.${ac_ext} >/dev/null) 2>&1"`
! if test -z "$ac_err"; then
rm -rf conftest*
{
test -n "$verbose" && \
! /bin/echo " defining ${ac_tr_hdr}"
! /bin/echo "#define" ${ac_tr_hdr} "1" >> confdefs.h
! DEFS="$DEFS -D${ac_tr_hdr}=1"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}${ac_tr_hdr}\${ac_dB}${ac_tr_hdr}\${ac_dC}1\${ac_dD}
! \${ac_uA}${ac_tr_hdr}\${ac_uB}${ac_tr_hdr}\${ac_uC}1\${ac_uD}
! \${ac_eA}${ac_tr_hdr}\${ac_eB}${ac_tr_hdr}\${ac_eC}1\${ac_eD}
"
}
***************
*** 439,540 ****
rm -f conftest*
done
! LIBS_save="${LIBS}"
LIBS="${LIBS} -ldbm"
! have_lib=""
! echo checking for -ldbm
! cat > conftest.c <<EOF
#include "confdefs.h"
! int main() { exit(0); }
! int t() { main(); }
EOF
! if eval $compile; then
rm -rf conftest*
! have_lib="1"
fi
rm -f conftest*
! LIBS="${LIBS_save}"
! if test -n "${have_lib}"; then
{
test -n "$verbose" && \
! echo " defining HAVE_LIBDBM"
! echo "#define" HAVE_LIBDBM 1 >> confdefs.h
DEFS="$DEFS -DHAVE_LIBDBM=1"
! SEDDEFS="${SEDDEFS}\${SEDdA}HAVE_LIBDBM\${SEDdB}HAVE_LIBDBM\${SEDdC}1\${SEDdD}
! \${SEDuA}HAVE_LIBDBM\${SEDuB}HAVE_LIBDBM\${SEDuC}1\${SEDuD}
! \${SEDeA}HAVE_LIBDBM\${SEDeB}HAVE_LIBDBM\${SEDeC}1\${SEDeD}
"
}
LIBS="${LIBS} -ldbm"
fi
! LIBS_save="${LIBS}"
LIBS="${LIBS} -lndbm"
! have_lib=""
! echo checking for -lndbm
! cat > conftest.c <<EOF
#include "confdefs.h"
! int main() { exit(0); }
! int t() { main(); }
EOF
! if eval $compile; then
rm -rf conftest*
! have_lib="1"
fi
rm -f conftest*
! LIBS="${LIBS_save}"
! if test -n "${have_lib}"; then
{
test -n "$verbose" && \
! echo " defining HAVE_LIBNDBM"
! echo "#define" HAVE_LIBNDBM 1 >> confdefs.h
DEFS="$DEFS -DHAVE_LIBNDBM=1"
! SEDDEFS="${SEDDEFS}\${SEDdA}HAVE_LIBNDBM\${SEDdB}HAVE_LIBNDBM\${SEDdC}1\${SEDdD}
! \${SEDuA}HAVE_LIBNDBM\${SEDuB}HAVE_LIBNDBM\${SEDuC}1\${SEDuD}
! \${SEDeA}HAVE_LIBNDBM\${SEDeB}HAVE_LIBNDBM\${SEDeC}1\${SEDeD}
"
}
LIBS="${LIBS} -lndbm"
fi
! for func in rename ftruncate flock bcopy fsync
do
! trfunc=HAVE_`echo $func | tr '[a-z]' '[A-Z]'`
! echo checking for ${func}
! cat > conftest.c <<EOF
#include "confdefs.h"
#include <ctype.h>
! int main() { exit(0); }
int t() {
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
something starting with __ and the normal name is an alias. */
! #if defined (__stub_${func}) || defined (__stub___${func})
choke me
#else
/* Override any gcc2 internal prototype to avoid an error. */
! extern char ${func}(); ${func}();
#endif
! }
EOF
! if eval $compile; then
rm -rf conftest*
{
test -n "$verbose" && \
! echo " defining ${trfunc}"
! echo "#define" ${trfunc} 1 >> confdefs.h
! DEFS="$DEFS -D${trfunc}=1"
! SEDDEFS="${SEDDEFS}\${SEDdA}${trfunc}\${SEDdB}${trfunc}\${SEDdC}1\${SEDdD}
! \${SEDuA}${trfunc}\${SEDuB}${trfunc}\${SEDuC}1\${SEDuD}
! \${SEDeA}${trfunc}\${SEDeB}${trfunc}\${SEDeC}1\${SEDeD}
"
}
--- 686,787 ----
rm -f conftest*
done
! ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -ldbm"
! ac_have_lib=""
! test -n "$silent" || /bin/echo "checking for -ldbm"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
! int main() { return 0; }
! int t() { main();; return 0; }
EOF
! if eval $ac_compile; then
rm -rf conftest*
! ac_have_lib="1"
fi
rm -f conftest*
! LIBS="${ac_save_LIBS}"
! if test -n "${ac_have_lib}"; then
{
test -n "$verbose" && \
! /bin/echo " defining HAVE_LIBDBM"
! /bin/echo "#define" HAVE_LIBDBM "1" >> confdefs.h
DEFS="$DEFS -DHAVE_LIBDBM=1"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_LIBDBM\${ac_dB}HAVE_LIBDBM\${ac_dC}1\${ac_dD}
! \${ac_uA}HAVE_LIBDBM\${ac_uB}HAVE_LIBDBM\${ac_uC}1\${ac_uD}
! \${ac_eA}HAVE_LIBDBM\${ac_eB}HAVE_LIBDBM\${ac_eC}1\${ac_eD}
"
}
LIBS="${LIBS} -ldbm"
fi
! ac_save_LIBS="${LIBS}"
LIBS="${LIBS} -lndbm"
! ac_have_lib=""
! test -n "$silent" || /bin/echo "checking for -lndbm"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
! int main() { return 0; }
! int t() { main();; return 0; }
EOF
! if eval $ac_compile; then
rm -rf conftest*
! ac_have_lib="1"
fi
rm -f conftest*
! LIBS="${ac_save_LIBS}"
! if test -n "${ac_have_lib}"; then
{
test -n "$verbose" && \
! /bin/echo " defining HAVE_LIBNDBM"
! /bin/echo "#define" HAVE_LIBNDBM "1" >> confdefs.h
DEFS="$DEFS -DHAVE_LIBNDBM=1"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_LIBNDBM\${ac_dB}HAVE_LIBNDBM\${ac_dC}1\${ac_dD}
! \${ac_uA}HAVE_LIBNDBM\${ac_uB}HAVE_LIBNDBM\${ac_uC}1\${ac_uD}
! \${ac_eA}HAVE_LIBNDBM\${ac_eB}HAVE_LIBNDBM\${ac_eC}1\${ac_eD}
"
}
LIBS="${LIBS} -lndbm"
fi
! for ac_func in rename ftruncate flock bcopy fsync
do
! ac_tr_func=HAVE_`/bin/echo $ac_func | tr '[a-z]' '[A-Z]'`
! test -n "$silent" || /bin/echo "checking for ${ac_func}"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
! int main() { return 0; }
int t() {
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
something starting with __ and the normal name is an alias. */
! #if defined (__stub_${ac_func}) || defined (__stub___${ac_func})
choke me
#else
/* Override any gcc2 internal prototype to avoid an error. */
! extern char ${ac_func}(); ${ac_func}();
#endif
! ; return 0; }
EOF
! if eval $ac_compile; then
rm -rf conftest*
{
test -n "$verbose" && \
! /bin/echo " defining ${ac_tr_func}"
! /bin/echo "#define" ${ac_tr_func} "1" >> confdefs.h
! DEFS="$DEFS -D${ac_tr_func}=1"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}${ac_tr_func}\${ac_dB}${ac_tr_func}\${ac_dC}1\${ac_dD}
! \${ac_uA}${ac_tr_func}\${ac_uB}${ac_tr_func}\${ac_uC}1\${ac_uD}
! \${ac_eA}${ac_tr_func}\${ac_eB}${ac_tr_func}\${ac_eC}1\${ac_eD}
"
}
***************
*** 543,573 ****
rm -f conftest*
done
! for func in getopt
do
! echo checking for ${func}
! cat > conftest.c <<EOF
#include "confdefs.h"
#include <ctype.h>
! int main() { exit(0); }
int t() {
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
something starting with __ and the normal name is an alias. */
! #if defined (__stub_${func}) || defined (__stub___${func})
choke me
#else
/* Override any gcc2 internal prototype to avoid an error. */
! extern char ${func}(); ${func}();
#endif
! }
EOF
! if eval $compile; then
:
else
rm -rf conftest*
! LIBOBJS="$LIBOBJS ${func}.o"
! test -n "$verbose" && echo " using ${func}.o instead"
fi
rm -f conftest*
--- 790,820 ----
rm -f conftest*
done
! for ac_func in getopt
do
! test -n "$silent" || /bin/echo "checking for ${ac_func}"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
! int main() { return 0; }
int t() {
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
something starting with __ and the normal name is an alias. */
! #if defined (__stub_${ac_func}) || defined (__stub___${ac_func})
choke me
#else
/* Override any gcc2 internal prototype to avoid an error. */
! extern char ${ac_func}(); ${ac_func}();
#endif
! ; return 0; }
EOF
! if eval $ac_compile; then
:
else
rm -rf conftest*
! LIBOBJS="$LIBOBJS ${ac_func}.o"
! test -n "$verbose" && /bin/echo " using ${ac_func}.o instead"
fi
rm -f conftest*
***************
*** 575,598 ****
# The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
# for constant arguments. Useless!
! echo checking for working alloca.h
! cat > conftest.c <<EOF
#include "confdefs.h"
#include <alloca.h>
! int main() { exit(0); }
! int t() { char *p = alloca(2 * sizeof(int)); }
EOF
! if eval $compile; then
rm -rf conftest*
{
test -n "$verbose" && \
! echo " defining HAVE_ALLOCA_H"
! echo "#define" HAVE_ALLOCA_H 1 >> confdefs.h
DEFS="$DEFS -DHAVE_ALLOCA_H=1"
! SEDDEFS="${SEDDEFS}\${SEDdA}HAVE_ALLOCA_H\${SEDdB}HAVE_ALLOCA_H\${SEDdC}1\${SEDdD}
! \${SEDuA}HAVE_ALLOCA_H\${SEDuB}HAVE_ALLOCA_H\${SEDuC}1\${SEDuD}
! \${SEDeA}HAVE_ALLOCA_H\${SEDeB}HAVE_ALLOCA_H\${SEDeC}1\${SEDeD}
"
}
--- 822,845 ----
# The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
# for constant arguments. Useless!
! test -n "$silent" || /bin/echo "checking for working alloca.h"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <alloca.h>
! int main() { return 0; }
! int t() { char *p = alloca(2 * sizeof(int));; return 0; }
EOF
! if eval $ac_compile; then
rm -rf conftest*
{
test -n "$verbose" && \
! /bin/echo " defining HAVE_ALLOCA_H"
! /bin/echo "#define" HAVE_ALLOCA_H "1" >> confdefs.h
DEFS="$DEFS -DHAVE_ALLOCA_H=1"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_ALLOCA_H\${ac_dB}HAVE_ALLOCA_H\${ac_dC}1\${ac_dD}
! \${ac_uA}HAVE_ALLOCA_H\${ac_uB}HAVE_ALLOCA_H\${ac_uC}1\${ac_uD}
! \${ac_eA}HAVE_ALLOCA_H\${ac_eB}HAVE_ALLOCA_H\${ac_eC}1\${ac_eD}
"
}
***************
*** 600,606 ****
fi
rm -f conftest*
! decl="#ifdef __GNUC__
#define alloca __builtin_alloca
#else
#if HAVE_ALLOCA_H
--- 847,853 ----
fi
rm -f conftest*
! ac_decl="#ifdef __GNUC__
#define alloca __builtin_alloca
#else
#if HAVE_ALLOCA_H
***************
*** 614,632 ****
#endif
#endif
"
! echo checking for alloca
! cat > conftest.c <<EOF
#include "confdefs.h"
! $decl
! int main() { exit(0); }
! int t() { char *p = (char *) alloca(1); }
EOF
! if eval $compile; then
! :
else
rm -rf conftest*
! alloca_missing=1
! cat > conftest.c <<EOF
#include "confdefs.h"
#if defined(CRAY) && ! defined(CRAY2)
--- 861,892 ----
#endif
#endif
"
! test -n "$silent" || /bin/echo "checking for alloca"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
! $ac_decl
! int main() { return 0; }
! int t() { char *p = (char *) alloca(1);; return 0; }
EOF
! if eval $ac_compile; then
! rm -rf conftest*
!
! {
! test -n "$verbose" && \
! /bin/echo " defining HAVE_ALLOCA"
! /bin/echo "#define" HAVE_ALLOCA "1" >> confdefs.h
! DEFS="$DEFS -DHAVE_ALLOCA=1"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_ALLOCA\${ac_dB}HAVE_ALLOCA\${ac_dC}1\${ac_dD}
! \${ac_uA}HAVE_ALLOCA\${ac_uB}HAVE_ALLOCA\${ac_uC}1\${ac_uD}
! \${ac_eA}HAVE_ALLOCA\${ac_eB}HAVE_ALLOCA\${ac_eC}1\${ac_eD}
! "
! }
!
!
else
rm -rf conftest*
! ac_alloca_missing=1
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#if defined(CRAY) && ! defined(CRAY2)
***************
*** 636,649 ****
#endif
EOF
! eval "$CPP conftest.c > conftest.out 2>&1"
if egrep "winnitude" conftest.out >/dev/null 2>&1; then
rm -rf conftest*
! echo checking for _getb67
! cat > conftest.c <<EOF
#include "confdefs.h"
#include <ctype.h>
! int main() { exit(0); }
int t() {
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
--- 896,909 ----
#endif
EOF
! eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "winnitude" conftest.out >/dev/null 2>&1; then
rm -rf conftest*
! test -n "$silent" || /bin/echo "checking for _getb67"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
! int main() { return 0; }
int t() {
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
***************
*** 654,682 ****
/* Override any gcc2 internal prototype to avoid an error. */
extern char _getb67(); _getb67();
#endif
! }
EOF
! if eval $compile; then
rm -rf conftest*
{
test -n "$verbose" && \
! echo " defining" CRAY_STACKSEG_END to be _getb67
! echo "#define" CRAY_STACKSEG_END _getb67 >> confdefs.h
DEFS="$DEFS -DCRAY_STACKSEG_END=_getb67"
! SEDDEFS="${SEDDEFS}\${SEDdA}CRAY_STACKSEG_END\${SEDdB}CRAY_STACKSEG_END\${SEDdC}_getb67\${SEDdD}
! \${SEDuA}CRAY_STACKSEG_END\${SEDuB}CRAY_STACKSEG_END\${SEDuC}_getb67\${SEDuD}
! \${SEDeA}CRAY_STACKSEG_END\${SEDeB}CRAY_STACKSEG_END\${SEDeC}_getb67\${SEDeD}
"
}
else
rm -rf conftest*
! echo checking for GETB67
! cat > conftest.c <<EOF
#include "confdefs.h"
#include <ctype.h>
! int main() { exit(0); }
int t() {
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
--- 914,942 ----
/* Override any gcc2 internal prototype to avoid an error. */
extern char _getb67(); _getb67();
#endif
! ; return 0; }
EOF
! if eval $ac_compile; then
rm -rf conftest*
{
test -n "$verbose" && \
! /bin/echo " defining" CRAY_STACKSEG_END to be "_getb67"
! /bin/echo "#define" CRAY_STACKSEG_END "_getb67" >> confdefs.h
DEFS="$DEFS -DCRAY_STACKSEG_END=_getb67"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}CRAY_STACKSEG_END\${ac_dB}CRAY_STACKSEG_END\${ac_dC}_getb67\${ac_dD}
! \${ac_uA}CRAY_STACKSEG_END\${ac_uB}CRAY_STACKSEG_END\${ac_uC}_getb67\${ac_uD}
! \${ac_eA}CRAY_STACKSEG_END\${ac_eB}CRAY_STACKSEG_END\${ac_eC}_getb67\${ac_eD}
"
}
else
rm -rf conftest*
! test -n "$silent" || /bin/echo "checking for GETB67"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
! int main() { return 0; }
int t() {
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
***************
*** 687,715 ****
/* Override any gcc2 internal prototype to avoid an error. */
extern char GETB67(); GETB67();
#endif
! }
EOF
! if eval $compile; then
rm -rf conftest*
{
test -n "$verbose" && \
! echo " defining" CRAY_STACKSEG_END to be GETB67
! echo "#define" CRAY_STACKSEG_END GETB67 >> confdefs.h
DEFS="$DEFS -DCRAY_STACKSEG_END=GETB67"
! SEDDEFS="${SEDDEFS}\${SEDdA}CRAY_STACKSEG_END\${SEDdB}CRAY_STACKSEG_END\${SEDdC}GETB67\${SEDdD}
! \${SEDuA}CRAY_STACKSEG_END\${SEDuB}CRAY_STACKSEG_END\${SEDuC}GETB67\${SEDuD}
! \${SEDeA}CRAY_STACKSEG_END\${SEDeB}CRAY_STACKSEG_END\${SEDeC}GETB67\${SEDeD}
"
}
else
rm -rf conftest*
! echo checking for getb67
! cat > conftest.c <<EOF
#include "confdefs.h"
#include <ctype.h>
! int main() { exit(0); }
int t() {
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
--- 947,975 ----
/* Override any gcc2 internal prototype to avoid an error. */
extern char GETB67(); GETB67();
#endif
! ; return 0; }
EOF
! if eval $ac_compile; then
rm -rf conftest*
{
test -n "$verbose" && \
! /bin/echo " defining" CRAY_STACKSEG_END to be "GETB67"
! /bin/echo "#define" CRAY_STACKSEG_END "GETB67" >> confdefs.h
DEFS="$DEFS -DCRAY_STACKSEG_END=GETB67"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}CRAY_STACKSEG_END\${ac_dB}CRAY_STACKSEG_END\${ac_dC}GETB67\${ac_dD}
! \${ac_uA}CRAY_STACKSEG_END\${ac_uB}CRAY_STACKSEG_END\${ac_uC}GETB67\${ac_uD}
! \${ac_eA}CRAY_STACKSEG_END\${ac_eB}CRAY_STACKSEG_END\${ac_eC}GETB67\${ac_eD}
"
}
else
rm -rf conftest*
! test -n "$silent" || /bin/echo "checking for getb67"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <ctype.h>
! int main() { return 0; }
int t() {
/* The GNU C library defines this for functions which it implements
to always fail with ENOSYS. Some functions are actually named
***************
*** 720,737 ****
/* Override any gcc2 internal prototype to avoid an error. */
extern char getb67(); getb67();
#endif
! }
EOF
! if eval $compile; then
rm -rf conftest*
{
test -n "$verbose" && \
! echo " defining" CRAY_STACKSEG_END to be getb67
! echo "#define" CRAY_STACKSEG_END getb67 >> confdefs.h
DEFS="$DEFS -DCRAY_STACKSEG_END=getb67"
! SEDDEFS="${SEDDEFS}\${SEDdA}CRAY_STACKSEG_END\${SEDdB}CRAY_STACKSEG_END\${SEDdC}getb67\${SEDdD}
! \${SEDuA}CRAY_STACKSEG_END\${SEDuB}CRAY_STACKSEG_END\${SEDuC}getb67\${SEDuD}
! \${SEDeA}CRAY_STACKSEG_END\${SEDeB}CRAY_STACKSEG_END\${SEDeC}getb67\${SEDeD}
"
}
--- 980,997 ----
/* Override any gcc2 internal prototype to avoid an error. */
extern char getb67(); getb67();
#endif
! ; return 0; }
EOF
! if eval $ac_compile; then
rm -rf conftest*
{
test -n "$verbose" && \
! /bin/echo " defining" CRAY_STACKSEG_END to be "getb67"
! /bin/echo "#define" CRAY_STACKSEG_END "getb67" >> confdefs.h
DEFS="$DEFS -DCRAY_STACKSEG_END=getb67"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}CRAY_STACKSEG_END\${ac_dB}CRAY_STACKSEG_END\${ac_dC}getb67\${ac_dD}
! \${ac_uA}CRAY_STACKSEG_END\${ac_uB}CRAY_STACKSEG_END\${ac_uC}getb67\${ac_uD}
! \${ac_eA}CRAY_STACKSEG_END\${ac_eB}CRAY_STACKSEG_END\${ac_eC}getb67\${ac_eD}
"
}
***************
*** 753,759 ****
fi
rm -f conftest*
! if test -n "$alloca_missing"; then
# The SVR3 libPW and SVR4 libucb both contain incompatible functions
# that cause trouble. Some versions do not even contain alloca or
# contain a buggy version. If you still want to use their alloca,
--- 1013,1019 ----
fi
rm -f conftest*
! if test -n "$ac_alloca_missing"; then
# The SVR3 libPW and SVR4 libucb both contain incompatible functions
# that cause trouble. Some versions do not even contain alloca or
# contain a buggy version. If you still want to use their alloca,
***************
*** 762,785 ****
{
test -n "$verbose" && \
! echo " defining C_ALLOCA"
! echo "#define" C_ALLOCA 1 >> confdefs.h
DEFS="$DEFS -DC_ALLOCA=1"
! SEDDEFS="${SEDDEFS}\${SEDdA}C_ALLOCA\${SEDdB}C_ALLOCA\${SEDdC}1\${SEDdD}
! \${SEDuA}C_ALLOCA\${SEDuB}C_ALLOCA\${SEDuC}1\${SEDuD}
! \${SEDeA}C_ALLOCA\${SEDeB}C_ALLOCA\${SEDeC}1\${SEDeD}
"
}
! echo 'checking stack direction for C alloca'
! echo checking whether cross-compiling
# If we cannot run a trivial program, we must be cross compiling.
! cat > conftest.c <<EOF
#include "confdefs.h"
main(){exit(0);}
EOF
! eval $compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
:
else
--- 1022,1045 ----
{
test -n "$verbose" && \
! /bin/echo " defining C_ALLOCA"
! /bin/echo "#define" C_ALLOCA "1" >> confdefs.h
DEFS="$DEFS -DC_ALLOCA=1"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}C_ALLOCA\${ac_dB}C_ALLOCA\${ac_dC}1\${ac_dD}
! \${ac_uA}C_ALLOCA\${ac_uB}C_ALLOCA\${ac_uC}1\${ac_uD}
! \${ac_eA}C_ALLOCA\${ac_eB}C_ALLOCA\${ac_eC}1\${ac_eD}
"
}
! test -n "$silent" || /bin/echo "checking stack direction for C alloca"
! test -n "$silent" || /bin/echo "checking whether cross-compiling"
# If we cannot run a trivial program, we must be cross compiling.
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
main(){exit(0);}
EOF
! eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
:
else
***************
*** 792,808 ****
{
test -n "$verbose" && \
! echo " defining" STACK_DIRECTION to be 0
! echo "#define" STACK_DIRECTION 0 >> confdefs.h
DEFS="$DEFS -DSTACK_DIRECTION=0"
! SEDDEFS="${SEDDEFS}\${SEDdA}STACK_DIRECTION\${SEDdB}STACK_DIRECTION\${SEDdC}0\${SEDdD}
! \${SEDuA}STACK_DIRECTION\${SEDuB}STACK_DIRECTION\${SEDuC}0\${SEDuD}
! \${SEDeA}STACK_DIRECTION\${SEDeB}STACK_DIRECTION\${SEDeC}0\${SEDeD}
"
}
else
! cat > conftest.c <<EOF
#include "confdefs.h"
find_stack_direction ()
{
--- 1052,1068 ----
{
test -n "$verbose" && \
! /bin/echo " defining" STACK_DIRECTION to be "0"
! /bin/echo "#define" STACK_DIRECTION "0" >> confdefs.h
DEFS="$DEFS -DSTACK_DIRECTION=0"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}STACK_DIRECTION\${ac_dB}STACK_DIRECTION\${ac_dC}0\${ac_dD}
! \${ac_uA}STACK_DIRECTION\${ac_uB}STACK_DIRECTION\${ac_uC}0\${ac_uD}
! \${ac_eA}STACK_DIRECTION\${ac_eB}STACK_DIRECTION\${ac_eC}0\${ac_eD}
"
}
else
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
find_stack_direction ()
{
***************
*** 821,837 ****
exit (find_stack_direction() < 0);
}
EOF
! eval $compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
{
test -n "$verbose" && \
! echo " defining" STACK_DIRECTION to be 1
! echo "#define" STACK_DIRECTION 1 >> confdefs.h
DEFS="$DEFS -DSTACK_DIRECTION=1"
! SEDDEFS="${SEDDEFS}\${SEDdA}STACK_DIRECTION\${SEDdB}STACK_DIRECTION\${SEDdC}1\${SEDdD}
! \${SEDuA}STACK_DIRECTION\${SEDuB}STACK_DIRECTION\${SEDuC}1\${SEDuD}
! \${SEDeA}STACK_DIRECTION\${SEDeB}STACK_DIRECTION\${SEDeC}1\${SEDeD}
"
}
--- 1081,1097 ----
exit (find_stack_direction() < 0);
}
EOF
! eval $ac_compile
if test -s conftest && (./conftest; exit) 2>/dev/null; then
{
test -n "$verbose" && \
! /bin/echo " defining" STACK_DIRECTION to be "1"
! /bin/echo "#define" STACK_DIRECTION "1" >> confdefs.h
DEFS="$DEFS -DSTACK_DIRECTION=1"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}STACK_DIRECTION\${ac_dB}STACK_DIRECTION\${ac_dC}1\${ac_dD}
! \${ac_uA}STACK_DIRECTION\${ac_uB}STACK_DIRECTION\${ac_uC}1\${ac_uD}
! \${ac_eA}STACK_DIRECTION\${ac_eB}STACK_DIRECTION\${ac_eC}1\${ac_eD}
"
}
***************
*** 840,851 ****
{
test -n "$verbose" && \
! echo " defining" STACK_DIRECTION to be -1
! echo "#define" STACK_DIRECTION -1 >> confdefs.h
DEFS="$DEFS -DSTACK_DIRECTION=-1"
! SEDDEFS="${SEDDEFS}\${SEDdA}STACK_DIRECTION\${SEDdB}STACK_DIRECTION\${SEDdC}-1\${SEDdD}
! \${SEDuA}STACK_DIRECTION\${SEDuB}STACK_DIRECTION\${SEDuC}-1\${SEDuD}
! \${SEDeA}STACK_DIRECTION\${SEDeB}STACK_DIRECTION\${SEDeC}-1\${SEDeD}
"
}
--- 1100,1111 ----
{
test -n "$verbose" && \
! /bin/echo " defining" STACK_DIRECTION to be "-1"
! /bin/echo "#define" STACK_DIRECTION "-1" >> confdefs.h
DEFS="$DEFS -DSTACK_DIRECTION=-1"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}STACK_DIRECTION\${ac_dB}STACK_DIRECTION\${ac_dC}-1\${ac_dD}
! \${ac_uA}STACK_DIRECTION\${ac_uB}STACK_DIRECTION\${ac_uC}-1\${ac_uD}
! \${ac_eA}STACK_DIRECTION\${ac_eB}STACK_DIRECTION\${ac_eC}-1\${ac_eD}
"
}
***************
*** 854,863 ****
rm -fr conftest*
fi
! echo checking for off_t in sys/types.h
! echo '#include "confdefs.h"
! #include <sys/types.h>' > conftest.c
! eval "$CPP conftest.c > conftest.out 2>&1"
if egrep "off_t" conftest.out >/dev/null 2>&1; then
:
else
--- 1114,1123 ----
rm -fr conftest*
fi
! test -n "$silent" || /bin/echo "checking for off_t in sys/types.h"
! /bin/echo '#include "confdefs.h"
! #include <sys/types.h>' > conftest.${ac_ext}
! eval "$ac_cpp conftest.${ac_ext} > conftest.out 2>&1"
if egrep "off_t" conftest.out >/dev/null 2>&1; then
:
else
***************
*** 865,901 ****
{
test -n "$verbose" && \
! echo " defining" off_t to be long
! echo "#define" off_t long >> confdefs.h
DEFS="$DEFS -Doff_t=long"
! SEDDEFS="${SEDDEFS}\${SEDdA}off_t\${SEDdB}off_t\${SEDdC}long\${SEDdD}
! \${SEDuA}off_t\${SEDuB}off_t\${SEDuC}long\${SEDuD}
! \${SEDeA}off_t\${SEDeB}off_t\${SEDeC}long\${SEDeD}
"
}
fi
rm -f conftest*
! echo checking for st_blksize in struct stat
! cat > conftest.c <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <sys/stat.h>
! int main() { exit(0); }
! int t() { struct stat s; s.st_blksize; }
EOF
! if eval $compile; then
rm -rf conftest*
{
test -n "$verbose" && \
! echo " defining HAVE_ST_BLKSIZE"
! echo "#define" HAVE_ST_BLKSIZE 1 >> confdefs.h
DEFS="$DEFS -DHAVE_ST_BLKSIZE=1"
! SEDDEFS="${SEDDEFS}\${SEDdA}HAVE_ST_BLKSIZE\${SEDdB}HAVE_ST_BLKSIZE\${SEDdC}1\${SEDdD}
! \${SEDuA}HAVE_ST_BLKSIZE\${SEDuB}HAVE_ST_BLKSIZE\${SEDuC}1\${SEDuD}
! \${SEDeA}HAVE_ST_BLKSIZE\${SEDeB}HAVE_ST_BLKSIZE\${SEDeC}1\${SEDeD}
"
}
--- 1125,1161 ----
{
test -n "$verbose" && \
! /bin/echo " defining" off_t to be "long"
! /bin/echo "#define" off_t "long" >> confdefs.h
DEFS="$DEFS -Doff_t=long"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}off_t\${ac_dB}off_t\${ac_dC}long\${ac_dD}
! \${ac_uA}off_t\${ac_uB}off_t\${ac_uC}long\${ac_uD}
! \${ac_eA}off_t\${ac_eB}off_t\${ac_eC}long\${ac_eD}
"
}
fi
rm -f conftest*
! test -n "$silent" || /bin/echo "checking for st_blksize in struct stat"
! cat > conftest.${ac_ext} <<EOF
#include "confdefs.h"
#include <sys/types.h>
#include <sys/stat.h>
! int main() { return 0; }
! int t() { struct stat s; s.st_blksize;; return 0; }
EOF
! if eval $ac_compile; then
rm -rf conftest*
{
test -n "$verbose" && \
! /bin/echo " defining HAVE_ST_BLKSIZE"
! /bin/echo "#define" HAVE_ST_BLKSIZE "1" >> confdefs.h
DEFS="$DEFS -DHAVE_ST_BLKSIZE=1"
! ac_sed_defs="${ac_sed_defs}\${ac_dA}HAVE_ST_BLKSIZE\${ac_dB}HAVE_ST_BLKSIZE\${ac_dC}1\${ac_dD}
! \${ac_uA}HAVE_ST_BLKSIZE\${ac_uB}HAVE_ST_BLKSIZE\${ac_uC}1\${ac_uD}
! \${ac_eA}HAVE_ST_BLKSIZE\${ac_eB}HAVE_ST_BLKSIZE\${ac_eC}1\${ac_eD}
"
}
***************
*** 903,929 ****
fi
rm -f conftest*
! # Set default prefixes.
if test -n "$prefix"; then
! test -z "$exec_prefix" && exec_prefix='${prefix}'
! prsub="s%^prefix\\([ ]*\\)=\\([ ]*\\).*$%prefix\\1=\\2$prefix%"
fi
if test -n "$exec_prefix"; then
! prsub="$prsub
s%^exec_prefix\\([ ]*\\)=\\([ ]*\\).*$%exec_prefix\\1=\\2$exec_prefix%"
fi
# Quote sed substitution magic chars in DEFS.
cat >conftest.def <<EOF
$DEFS
EOF
! escape_ampersand_and_backslash='s%[&\\]%\\&%g'
! DEFS=`sed "$escape_ampersand_and_backslash" <conftest.def`
rm -f conftest.def
# Substitute for predefined variables.
! trap 'rm -f config.status; exit 1' 1 3 15
! echo creating config.status
! rm -f config.status
cat > config.status <<EOF
#!/bin/sh
# Generated automatically by configure.
--- 1163,1203 ----
fi
rm -f conftest*
!
! # The preferred way to propogate these variables is regular @ substitutions.
if test -n "$prefix"; then
! ac_prsub="s%^prefix\\([ ]*\\)=\\([ ]*\\).*$%prefix\\1=\\2$prefix%"
! else
! prefix=/usr/local
fi
if test -n "$exec_prefix"; then
! ac_prsub="$ac_prsub
s%^exec_prefix\\([ ]*\\)=\\([ ]*\\).*$%exec_prefix\\1=\\2$exec_prefix%"
+ else
+ exec_prefix='${prefix}' # Let make expand it.
+ fi
+
+ # Any assignment to VPATH causes Sun make to only execute
+ # the first set of double-colon rules, so remove it if not needed.
+ # If there is a colon in the path, we need to keep it.
+ if test "x$srcdir" = x.; then
+ ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
fi
+
# Quote sed substitution magic chars in DEFS.
cat >conftest.def <<EOF
$DEFS
EOF
! ac_escape_ampersand_and_backslash='s%[&\\]%\\&%g'
! DEFS=`sed "$ac_escape_ampersand_and_backslash" <conftest.def`
rm -f conftest.def
# Substitute for predefined variables.
! trap 'rm -f config.status; exit 1' 1 2 15
! /bin/echo creating config.status
! # Some systems, like AmigaDOS, won't allow you to remove a script that is
! # being executed, so just move it out of the way instead.
! if test -f config.status; then mv config.status config.status.old; else true; fi
cat > config.status <<EOF
#!/bin/sh
# Generated automatically by configure.
***************
*** 933,949 ****
#
# $0 $configure_args
! for arg
do
! case "\$arg" in
! -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
! echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args
! exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args ;;
! *) echo "Usage: config.status --recheck" 2>&1; exit 1 ;;
esac
done
! trap 'rm -fr Makefile autoconf.h conftest*; exit 1' 1 3 15
CC='$CC'
CPP='$CPP'
INSTALL='$INSTALL'
--- 1207,1229 ----
#
# $0 $configure_args
! ac_cs_usage="Usage: config.status [--recheck] [--version] [--help]"
! for ac_option
do
! case "\$ac_option" in
! -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
! /bin/echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create
! exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args --no-create ;;
! -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
! /bin/echo "config.status generated by autoconf version 1.11"
! exit 0 ;;
! -help | --help | --hel | --he | --h)
! /bin/echo "\$ac_cs_usage"; exit 0 ;;
! *) /bin/echo "\$ac_cs_usage"; exit 1 ;;
esac
done
! trap 'rm -fr Makefile autoconf.h conftest*; exit 1' 1 2 15
CC='$CC'
CPP='$CPP'
INSTALL='$INSTALL'
***************
*** 954,982 ****
ALLOCA='$ALLOCA'
LIBS='$LIBS'
srcdir='$srcdir'
prefix='$prefix'
exec_prefix='$exec_prefix'
! prsub='$prsub'
extrasub='$extrasub'
EOF
cat >> config.status <<\EOF
! top_srcdir=$srcdir
CONFIG_FILES=${CONFIG_FILES-"Makefile"}
! for file in .. ${CONFIG_FILES}; do if test "x$file" != x..; then
! srcdir=$top_srcdir
# Remove last slash and all that follows it. Not all systems have dirname.
! dir=`echo $file|sed 's%/[^/][^/]*$%%'`
! if test "$dir" != "$file"; then
! test "$top_srcdir" != . && srcdir=$top_srcdir/$dir
! test ! -d $dir && mkdir $dir
fi
! echo creating $file
! rm -f $file
! echo "# Generated automatically from `echo $file|sed 's|.*/||'`.in by configure." > $file
sed -e "
! $prsub
$extrasub
s%@CC@%$CC%g
s%@CPP@%$CPP%g
--- 1234,1284 ----
ALLOCA='$ALLOCA'
LIBS='$LIBS'
srcdir='$srcdir'
+ top_srcdir='$top_srcdir'
prefix='$prefix'
exec_prefix='$exec_prefix'
! ac_prsub='$ac_prsub'
! ac_vpsub='$ac_vpsub'
extrasub='$extrasub'
EOF
cat >> config.status <<\EOF
! ac_given_srcdir=$srcdir
CONFIG_FILES=${CONFIG_FILES-"Makefile"}
! for ac_file in .. ${CONFIG_FILES}; do if test "x$ac_file" != x..; then
# Remove last slash and all that follows it. Not all systems have dirname.
! ac_dir=`/bin/echo $ac_file|sed 's%/[^/][^/]*$%%'`
! if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
! # The file is in a subdirectory.
! test ! -d "$ac_dir" && mkdir "$ac_dir"
! ac_dir_suffix="/$ac_dir"
! else
! ac_dir_suffix=
fi
!
! # A "../" for each directory in $ac_dir_suffix.
! ac_dots=`/bin/echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
! case "$ac_given_srcdir" in
! .) srcdir=.
! if test -z "$ac_dir_suffix"; then top_srcdir=.
! else top_srcdir=`/bin/echo $ac_dots|sed 's%/$%%'`; fi ;;
! /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
! *) # Relative path.
! srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
! top_srcdir="$ac_dots$ac_given_srcdir" ;;
! esac
!
! /bin/echo creating "$ac_file"
! rm -f "$ac_file"
! comment_str="Generated automatically from `/bin/echo $ac_file|sed 's|.*/||'`.in by configure."
! case "$ac_file" in
! *.c | *.h | *.C | *.cc | *.m ) /bin/echo "/* $comment_str */" > "$ac_file" ;;
! * ) /bin/echo "# $comment_str" > "$ac_file" ;;
! esac
sed -e "
! $ac_prsub
! $ac_vpsub
$extrasub
s%@CC@%$CC%g
s%@CPP@%$CPP%g
***************
*** 988,1047 ****
s%@ALLOCA@%$ALLOCA%g
s%@LIBS@%$LIBS%g
s%@srcdir@%$srcdir%g
! s%@DEFS@%-DHAVE_CONFIG_H%" $top_srcdir/${file}.in >> $file
fi; done
! CONFIG_HEADERS=${CONFIG_HEADERS-"autoconf.h"}
! for file in .. ${CONFIG_HEADERS}; do if test "x$file" != x..; then
! echo creating $file
!
! # These sed commands are put into SEDDEFS when defining a macro.
# They are broken into pieces to make the sed script easier to manage.
# They are passed to sed as "A NAME B NAME C VALUE D", where NAME
# is the cpp macro being defined and VALUE is the value it is being given.
# Each defining turns into a single global substitution command.
#
! # SEDd sets the value in "#define NAME VALUE" lines.
! SEDdA='s@^\([ ]*\)#\([ ]*define[ ][ ]*\)'
! SEDdB='\([ ][ ]*\)[^ ]*@\1#\2'
! SEDdC='\3'
! SEDdD='@g'
! # SEDu turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
! SEDuA='s@^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
! SEDuB='\([ ]\)@\1#\2define\3'
! SEDuC=' '
! SEDuD='\4@g'
! # SEDe turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
! SEDeA='s@^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
! SEDeB='$@\1#\2define\3'
! SEDeC=' '
! SEDeD='@g'
rm -f conftest.sed
EOF
# Turn off quoting long enough to insert the sed commands.
rm -f conftest.sh
cat > conftest.sh <<EOF
! $SEDDEFS
EOF
! # Break up $SEDDEFS (now in conftest.sh) because some shells have a limit
# on the size of here documents.
# Maximum number of lines to put in a single here document.
! maxshlines=9
while :
do
! # wc gives bogus results for an empty file on some systems.
! lines=`grep -c . conftest.sh`
! if test -z "$lines" || test "$lines" -eq 0; then break; fi
rm -f conftest.s1 conftest.s2
! sed ${maxshlines}q conftest.sh > conftest.s1 # Like head -20.
! sed 1,${maxshlines}d conftest.sh > conftest.s2 # Like tail +21.
# Write a limited-size here document to append to conftest.sed.
! echo 'cat >> conftest.sed <<CONFEOF' >> config.status
cat conftest.s1 >> config.status
! echo 'CONFEOF' >> config.status
rm -f conftest.s1 conftest.sh
mv conftest.s2 conftest.sh
done
--- 1290,1350 ----
s%@ALLOCA@%$ALLOCA%g
s%@LIBS@%$LIBS%g
s%@srcdir@%$srcdir%g
! s%@top_srcdir@%$top_srcdir%g
! s%@prefix@%$prefix%g
! s%@exec_prefix@%$exec_prefix%g
! s%@DEFS@%-DHAVE_CONFIG_H%" $ac_given_srcdir/${ac_file}.in >> $ac_file
fi; done
! # These sed commands are put into ac_sed_defs when defining a macro.
# They are broken into pieces to make the sed script easier to manage.
# They are passed to sed as "A NAME B NAME C VALUE D", where NAME
# is the cpp macro being defined and VALUE is the value it is being given.
# Each defining turns into a single global substitution command.
+ # Hopefully no one uses "!" as a variable value.
+ # Other candidates for the sed separators, like , and @, do get used.
#
! # ac_d sets the value in "#define NAME VALUE" lines.
! ac_dA='s!^\([ ]*\)#\([ ]*define[ ][ ]*\)'
! ac_dB='\([ ][ ]*\)[^ ]*!\1#\2'
! ac_dC='\3'
! ac_dD='!g'
! # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
! ac_uA='s!^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
! ac_uB='\([ ]\)!\1#\2define\3'
! ac_uC=' '
! ac_uD='\4!g'
! # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
! ac_eA='s!^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
! ac_eB='$!\1#\2define\3'
! ac_eC=' '
! ac_eD='!g'
rm -f conftest.sed
EOF
# Turn off quoting long enough to insert the sed commands.
rm -f conftest.sh
cat > conftest.sh <<EOF
! $ac_sed_defs
EOF
! # Break up $ac_sed_defs (now in conftest.sh) because some shells have a limit
# on the size of here documents.
# Maximum number of lines to put in a single here document.
! ac_max_sh_lines=9
while :
do
! # wc gives bogus results for an empty file on some AIX systems.
! ac_lines=`grep -c . conftest.sh`
! if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
rm -f conftest.s1 conftest.s2
! sed ${ac_max_sh_lines}q conftest.sh > conftest.s1 # Like head -9.
! sed 1,${ac_max_sh_lines}d conftest.sh > conftest.s2 # Like tail +10.
# Write a limited-size here document to append to conftest.sed.
! /bin/echo 'cat >> conftest.sed <<CONFEOF' >> config.status
cat conftest.s1 >> config.status
! /bin/echo 'CONFEOF' >> config.status
rm -f conftest.s1 conftest.sh
mv conftest.s2 conftest.sh
done
***************
*** 1058,1095 ****
CONFEOF
rm -f conftest.h
# Break up the sed commands because old seds have small limits.
! maxsedlines=20
! cp $top_srcdir/$file.in conftest.h1
! while :
! do
! lines=`grep -c . conftest.sed`
! if test -z "$lines" || test "$lines" -eq 0; then break; fi
! rm -f conftest.s1 conftest.s2 conftest.h2
! sed ${maxsedlines}q conftest.sed > conftest.s1 # Like head -20.
! sed 1,${maxsedlines}d conftest.sed > conftest.s2 # Like tail +21.
! sed -f conftest.s1 < conftest.h1 > conftest.h2
! rm -f conftest.s1 conftest.h1 conftest.sed
! mv conftest.h2 conftest.h1
! mv conftest.s2 conftest.sed
! done
! rm -f conftest.sed conftest.h
! echo "/* $file. Generated automatically by configure. */" > conftest.h
! cat conftest.h1 >> conftest.h
! rm -f conftest.h1
! if cmp -s $file conftest.h 2>/dev/null; then
! # The file exists and we would not be changing it.
! echo "$file is unchanged"
! rm -f conftest.h
! else
! rm -f $file
! mv conftest.h $file
! fi
fi; done
exit 0
EOF
chmod +x config.status
! ${CONFIG_SHELL-/bin/sh} config.status
--- 1361,1406 ----
CONFEOF
rm -f conftest.h
# Break up the sed commands because old seds have small limits.
! ac_max_sed_lines=20
!
! CONFIG_HEADERS=${CONFIG_HEADERS-"autoconf.h"}
! for ac_file in .. ${CONFIG_HEADERS}; do if test "x$ac_file" != x..; then
! /bin/echo creating $ac_file
!
! cp $ac_given_srcdir/$ac_file.in conftest.h1
! cp conftest.sed conftest.stm
! while :
! do
! ac_lines=`grep -c . conftest.stm`
! if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
! rm -f conftest.s1 conftest.s2 conftest.h2
! sed ${ac_max_sed_lines}q conftest.stm > conftest.s1 # Like head -20.
! sed 1,${ac_max_sed_lines}d conftest.stm > conftest.s2 # Like tail +21.
! sed -f conftest.s1 < conftest.h1 > conftest.h2
! rm -f conftest.s1 conftest.h1 conftest.stm
! mv conftest.h2 conftest.h1
! mv conftest.s2 conftest.stm
! done
! rm -f conftest.stm conftest.h
! /bin/echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
! cat conftest.h1 >> conftest.h
! rm -f conftest.h1
! if cmp -s $ac_file conftest.h 2>/dev/null; then
! # The file exists and we would not be changing it.
! /bin/echo "$ac_file is unchanged"
! rm -f conftest.h
! else
! rm -f $ac_file
! mv conftest.h $ac_file
! fi
fi; done
+ rm -f conftest.sed
exit 0
EOF
chmod +x config.status
! # Some shells look in PATH for config.status without the "./".
! test -n "$no_create" || ${CONFIG_SHELL-/bin/sh} ./config.status
diff -rc --new-file gdbm-1.7.3/configure.in /gnu/src/amiga/gdbm-1.7.3/configure.in
*** gdbm-1.7.3/configure.in Sun May 15 09:27:16 1994
--- /gnu/src/amiga/gdbm-1.7.3/configure.in Wed Jun 22 15:25:20 1994
***************
*** 6,13 ****
AC_PROG_CPP
AC_PROG_INSTALL
AC_PROG_RANLIB
! AC_INT_16_BITS
! AC_LONG_64_BITS
AC_WORDS_BIGENDIAN
AC_CONST
AC_HAVE_HEADERS(stdlib.h string.h sys/file.h unistd.h fcntl.h sys/types.h)
--- 6,13 ----
AC_PROG_CPP
AC_PROG_INSTALL
AC_PROG_RANLIB
! AC_SIZEOF_TYPE(int, sizevar)
! AC_SIZEOF_TYPE(long, sizevar)
AC_WORDS_BIGENDIAN
AC_CONST
AC_HAVE_HEADERS(stdlib.h string.h sys/file.h unistd.h fcntl.h sys/types.h)
diff -rc --new-file gdbm-1.7.3/gdbm.info /gnu/src/amiga/gdbm-1.7.3/gdbm.info
*** gdbm-1.7.3/gdbm.info Thu May 19 23:12:37 1994
--- /gnu/src/amiga/gdbm-1.7.3/gdbm.info Wed Jun 22 15:17:54 1994
***************
*** 149,155 ****
char *gdbm_strerror(errno);
int gdbm_setopt(dbf, option, value, size)
! The `gdbm.h' include file is often in the `/usr/local/gnu/include'
directory. (The actual location of `gdbm.h' depends on your local
installation of `gdbm'.)
--- 149,155 ----
char *gdbm_strerror(errno);
int gdbm_setopt(dbf, option, value, size)
! The `gdbm.h' include file is often in the `/gnu/include'
directory. (The actual location of `gdbm.h' depends on your local
installation of `gdbm'.)
***************
*** 607,613 ****
If you want to compile an old C program that used UNIX `dbm' or
`ndbm' and want to use `gdbm' files, execute the following `cc' command:
! cc ... -L /usr/local/lib -lgdbm
File: gdbm.info, Node: Conversion, Next: Bugs, Prev: Compatibility, Up: Top
--- 607,613 ----
If you want to compile an old C program that used UNIX `dbm' or
`ndbm' and want to use `gdbm' files, execute the following `cc' command:
! cc ... -L /gnu/lib -lgdbm
File: gdbm.info, Node: Conversion, Next: Bugs, Prev: Compatibility, Up: Top
diff -rc --new-file gdbm-1.7.3/gdbm.texinfo /gnu/src/amiga/gdbm-1.7.3/gdbm.texinfo
*** gdbm-1.7.3/gdbm.texinfo Thu May 19 22:14:11 1994
--- /gnu/src/amiga/gdbm-1.7.3/gdbm.texinfo Wed Jun 22 15:17:56 1994
***************
*** 209,215 ****
int gdbm_setopt(dbf, option, value, size)
@end example
! The @code{gdbm.h} include file is often in the @file{/usr/local/gnu/include}
directory. (The actual location of @code{gdbm.h} depends on your local
installation of @code{gdbm}.)
--- 209,215 ----
int gdbm_setopt(dbf, option, value, size)
@end example
! The @code{gdbm.h} include file is often in the @file{/gnu/include}
directory. (The actual location of @code{gdbm.h} depends on your local
installation of @code{gdbm}.)
***************
*** 665,671 ****
and want to use @code{gdbm} files, execute the following @code{cc} command:
@example
! cc ... -L /usr/local/lib -lgdbm
@end example
@node Conversion, Bugs, Compatibility, Top
--- 665,671 ----
and want to use @code{gdbm} files, execute the following @code{cc} command:
@example
! cc ... -L /gnu/lib -lgdbm
@end example
@node Conversion, Bugs, Compatibility, Top